Post Reply 
 
Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
driver-wireless-rt2570 incompatible with 2.4.37.11
02-14-2013, 05:08 AM
Post: #1
driver-wireless-rt2570 incompatible with 2.4.37.11
I realize that driver-wireless-rt2570 has not been modified since DeLi but it does not work with Linux 2.4.37.11. On building the package, it looks for
Code:
/usr/src/linux-2.4.37.11/include/linux/modversions.h
but that has been removed (link). I'll make a proper PKGBUILD for driver-wireless-rt2570 later on. It also depends on kernel-ide-source which is not present in the PKGBUILD.

My Delicate Linux repository
Find all posts by this user
Quote this message in a reply
02-14-2013, 05:54 PM (This post was last modified: 02-14-2013 05:54 PM by tavvva.)
Post: #2
RE: driver-wireless-rt2570 incompatible with 2.4.37.11
(02-14-2013 05:08 AM)snacsnoc Wrote:  I realize that driver-wireless-rt2570 has not been modified since DeLi but it does not work with Linux 2.4.37.11. On building the package, it looks for
Code:
/usr/src/linux-2.4.37.11/include/linux/modversions.h
but that has been removed (link). I'll make a proper PKGBUILD for driver-wireless-rt2570 later on. It also depends on kernel-ide-source which is not present in the PKGBUILD.

The driver was never present in DeLi. It was introduced by me in the DeLi(cate) 0.1. The issue is caused by my changes in the kernel source. I've already patched all the drivers. They're just not rebuilt and uploaded. Please, hold on :]
Visit this user's website Find all posts by this user
Quote this message in a reply
02-14-2013, 05:58 PM (This post was last modified: 02-14-2013 06:47 PM by tavvva.)
Post: #3
RE: driver-wireless-rt2570 incompatible with 2.4.37.11
Btw. it was never tested by me and confirmed as working :]

I don't have any hardware to test it with.

The only tested drivers are these:
- madwifi-hal 0.10.5.6_r4126_20100324
- driver-wireless-rt61 1.1.2.6
- driver-wireless-rt2860 2.4.0.0
Visit this user's website Find all posts by this user
Quote this message in a reply
02-14-2013, 06:26 PM (This post was last modified: 02-14-2013 07:10 PM by tavvva.)
Post: #4
RE: driver-wireless-rt2570 incompatible with 2.4.37.11
I just uploaded driver-wireless-rt2570-2.0.8.0-3 to the binary and source repository. The sources should not need the missing header anymore. The problem was caused by the MODVERSIONS macro that is known to cause more troubles than it solves. My local copy of the kernel sources used for the driver builds was "dirty". The modversions.h file is generated during the kernel build, but it's empty when the kernel is configured without MODVERSIONS. The resulting files are smaller without the MODVERSIONS macro. Moreover, the macro causes "unresolved symbols" in the trident.o module because of some nasty bug in the kernel sources :]
Visit this user's website Find all posts by this user
Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)

Contact Us | DeLi(cate) Linux | Return to Top | Return to Content | Lite (Archive) Mode | RSS Syndication